Bug 1162 - Excell updates mtime and ctime if not owner of a file, when nothing changes in the file
Excell updates mtime and ctime if not owner of a file, when nothing changes i...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.2a
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-08 22:26 UTC by Stefan Metzmacher
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2004-03-08 22:26:58 UTC
I noticed that when I use Excel 97 to open a file which I have read/write access
granted with group privs, but I'm not the owner of the file, the mtime and ctime
of the file are updated with the first NT Create ANDX request Excel does.

This doesn't happen when I'm the owner of a file.

I'm using SuSE 9.0 with XFS filesystem.

This is my smb.conf
[global]
        log level = 0
        passdb backend = smbpasswd
        netbios name = MEXUS
        workgroup = MX.BASE
[People]
        path = /home/People
        readonly = no
Comment 1 Gerald (Jerry) Carter 2004-03-17 09:55:30 UTC
I get the same behavior with Office 2002
whether I am the owner of teh file or not.
However if I am the owner i also get the archive 
bit set.

I think this is normal behavior.  Have you tested against 
a Windows File Server.
Comment 2 Doug Wyatt 2004-03-17 21:00:06 UTC
I reported pretty much this same problem 2 or 3 years ago, under Samba 2.x,
but I can't find the report on Bugzilla, now.  I can't run any tests because
new management has us now trying to figure out how to work on a pure Windows
2003 small business server network, after 19 years using various flavors of
Unix and Linux, sigh.

If recollection serves, I think the file ownership may have also been changed
along with the mtime, even though the .xls file was not intentionally written
back.  It looked as if Excel opened a copy of the file and then overwrote the
original on close.

We did not see this behavior on HP-UX based Advanced Server for Unix shares.
This was probably the biggest complaint about our Samba based shares.
Comment 3 Gerald (Jerry) Carter 2005-02-11 07:25:32 UTC
we've resolved several problems with MS office applciations 
in 3.0.11.  Please retest against 3.0.11.  Thanks.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:18:38 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.